Subject: Re: [PATCH 31/31] aio: implement io_pgetevents

From: Christoph Hellwig <[email-masked]>
Date: Wed, 10 Jan 2018 09:11:57 +0100

On Tue, Jan 09, 2018 at 11:16:16PM +0100, Arnd Bergmann wrote:
> Hmm, these two new syscall entry points turn into four when we add in
> support for 64-bit time_t, as we'd have to support all combinations of 32/64
> bit aio_context_t and time_t.

At least they'll also replace plain old io_getevents :)

> Would it be better to start this interface out by defining it using a 64-bit
> timeout structure? The downside would be that the user space syscall
> wrappers have to start out with a conversion, if we don't do it, then
> the opposite conversion would have to get added later.

Which structure do you want?  In the end applications using libaio
or even the syscalls directly (like seastar) are a special bread, so
they could probably just deal with whatever structure we want to pass.